function main()
  Wait(500)
  TextPrintString("Node-O-Matic 3000!",2,1)
  size = table.getn
  F_SetupActionNodeFinder()
  showNode = true
  CreateThread("F_ToggleShowNode")
  
  repeat
    local ped = PedGetTargetPed()
    if not PedIsValid(ped) then
      ped = gPlayer
    end
    if showNode then
      local node,act = PedGetActionNode(ped)
      while PedIsValid(ped) and PedIsPlaying(ped,node,act) and showNode and ((ped == gPlayer and not PedIsValid(PedGetTargetPed())) or ped == PedGetTargetPed()) do
        TextPrintString(PedGetName(ped)..'\n'..node,1,2)
        Wait(0)
      end
    end
    Wait(0)
  until not Alive
end

function PedGetActionNode(ped)
  local actNode = "/Global"
  local actFile = ""
  local nodeFinished = false
  local nodeParts = 1
  repeat
    for act = 1,size(acts) do
      for node = 1,size(nodes) do
        if PedIsPlaying(ped,'/'..actNode..'/'..nodes[node],acts[act]) then
          actNode = actNode..'/'..nodes[node]
          actFile = acts[act]
        else
          nodeFinished = true
        end
      end
    end
  until nodeFinished
  return actNode,actFile
end

function F_SetupActionNodeFinder()
  nodes = {
"0",
"Shit_Kick",
"KickKick",
"KickLoaded",
"05",
"0_BLOCK_0",
"1_01",
"1_02",
"1_02B",
"1_02BYourSchool",
"1_03",
"1_03_Davis",
"1_04",
"1_04_ClearActions",
"1_05",
"1_06",
"1_06_Give",
"1_07",
"1_08",
"1_08_Beatrice",
"1_08_Fatty",
"1_08_Give",
"1_08_GiveNotes",
"1_08_Idle",
"1_08_LookAround",
"1_08_MandyCollpase",
"1_08_Nerdo",
"1_08_NerdoNoCake",
"1_08_NerdoYesCake",
"1_08_Prefect",
"1_08_RollDice",
"1_09",
"1_10_anims",
"1_11X1",
"1_11X2",
"1_B_ScriptCall",
"1_G1",
"1_S01",
"1_S01_Bathroom",
"1_S01_Bathroom_Loop",
"1_S01_Stand_Talking",
"20",
"2_01",
"2_02_Owner",
"2_03Cnv",
"2_03i",
"2_04_Conv",
"2_05",
"2_06",
"2_06_Go",
"2_07",
"2_07_Gord",
"2_08Conv",
"2_08WeedKiller",
"2_B",
"2_G2",
"2_G2_Anims",
"2_R03_Conv",
"2_S04",
"2_S05",
"2_S06",
"3B_JohnnyVincent",
"3_01",
"3_01A",
"3_01C",
"3_01D",
"3_02",
"3_02_Bait",
"3_03",
"3_04",
"3_04_Anim",
"3_04_End",
"3_05",
"3_05TheTenements",
"3_06",
"3_08",
"3_09",
"3_B",
"3_G3",
"3_G3_Conv",
"3_R09",
"3_S03",
"3_S03_Givebottle",
"3_S10",
"3_S10_Tags",
"3_S11",
"3_S11_O_P_Struggle",
"3_S11_O_Struggle_Break",
"3_S11_O_Struggle_Idle",
"3_S11_P_Struggle_Break",
"3_S11_P_Struggle_Idle",
"3_XM",
"404Conv",
"4ArmHi",
"4ArmLow",
"4_01",
"4_02",
"4_03",
"4_05",
"4_06",
"4_06_Glue",
"4_06_MarbledL",
"4_06_WaitForJim",
"4_06_Wizz",
"4_B1",
"4_B2",
"4_B2_Blank",
"4_B2_JockBossBattle",
"4_G4",
"4_G4_Hello",
"Hi",
"Hello",
"4_G4_Where",
"5",
"5_01",
"5_01_Empty",
"5_01_Librarian",
"5_01_PoisonEffect0",
"5_01_PoisonEffect1",
"5_01_PoisonEffect1cycle",
"5_01_PoisonEffect1intro",
"5_01_PoisonEffect1outro",
"5_01_PoisonEffect2",
"5_01_PoisonEffect2cycle",
"5_01_PoisonEffect2intro",
"5_01_PoisonEffect2outro",
"5_02",
"5_03",
"5_03_Crazy_Door",
"5_03_Johnny_In_Cell",
"5_03_NIS_Gateclose",
"5_03_NIS_Outro",
"5_03_Reset",
"5_03_Sleeping_Orderly",
"5_03_Sleeping_Orderly_To_Sleep",
"5_03_Sleeping_Orderly_Wake_Up",
"5_03_Stand_Talking",
"5_04",
"5_05",
"5_07a",
"5_09",
"5_09_Cityhall_Cut",
"5_B",
"5_G5",
"6_02",
"6_02GDORM",
"6_B",
"ABORT",
"Act",
"Action",
"Action1",
"Action2",
"Action3",
"Action4",
"ActionNode",
"ActionOpps",
"Actions",
"Action_Breakout",
"ActivateDoor",
"Active",
"AddRockets",
"AdjustGravity",
"Adult",
"AdultGrapple",
"Adult_Hold_escape",
"Adult_Takedown",
"Afternoon?",
"AGymLght",
"AI",
"Aim",
"AimIdle",
"AimOut",
"AI_2_R03_HMB",
"AI_2_R03_MBP",
"AI_3_R05",
"AI_BOXER",
"AI_Dog",
"AI_EDGAR_5_B",
"AI_FightTutorial",
"AI_MASCOT_4_05",
"AI_Rat",
"AI_SitTest",
"Algie",
"Algie01",
"Algie03",
"AlgieCower",
"ALGIEJACCS",
"AlgieOhFace",
"Ambient",
"Ambient2",
"Ambient3",
"AmbientActions",
"AmbientActions_Opp",
"AmbientActions_Tired",
"AmbientActions_VTired",
"AmbientDice",
"AmbientGift_FAIL",
"AmbientSpawn",
"Ambient_3",
"Ammo1",
"Ammo2",
"Ammo3",
"AmmoCheck",
"Angry",
"AniBball",
"AniDice",
"Anim",
"AnimatedLadder",
"Animation",
"Animations",
"AnimLoadTrigger",
"Anims",
"Anims2",
"animstart1",
"animstart2",
"animstart3",
"animstart4",
"animstart5",
"animstart6",
"animstart7",
"animstart8",
"animstart9",
"any",
"AnyStruggle",
"AN_DOG",
"AN_RAT",
"Apology",
"Apple",
"Apple_Smash",
"ApplyTorch",
"Area_School",
"armDrivers",
"Arm_Lift",
"AssThrust",
"AsyBars",
"AsySwtch",
"AttachedEffect",
"AttachMarbles",
"AttachSign",
"AttachWeapon",
"AttackCheck",
"AttackIdle",
"Attacks",
"Attempt",
"ATTEMPTNODE",
"Authority",
"AutoFaceTarget",
"AutoFireCheck",
"AutoReversal",
"AutoReversalOpps",
"Axehandle",
"AxeKicks",
"AxeKick_Grap",
"AxeKick_Grap_GV",
"AxeKick_Grap_RCV",
"Back",
"BACK",
"BackBounceSmall",
"BACKBREAK",
"Backbreaker",
"BackGrabCrunch",
"BackPunch",
"BackUp",
"bagmrbls",
"Ball",
"Ball4",
"Banana",
"Bank",
"BarellLadder",
"Barf",
"BarksWhileRunning",
"BarUpHold",
"Base",
"baseball",
"BaseWithCollissionOn",
"Basketball",
"bat",
"baton",
"Bat_Break",
"bbagbottle",
"BBALL_21",
"BBALL_RESET",
"BBGun",
"BBrawl",
"Bearded",
"BeardedInit",
"BearHug",
"BearHugCyc",
"BearHugFinish",
"BeatriceFreakOut",
"BED_GET_OUT",
"begin",
"BeginWorkout",
"BeingLifted",
"BellyDown",
"BellyDownGetUp",
"BellyUp",
"BellyUpGetUp",
"BellyUpGetUpGetUp",
"BeScared",
"BiffKO",
"BigTag",
"BIKEGAR",
"BikeGeneralObjectives",
"Bikes",
"Billyclb",
"Blank",
"Block",
"BlockHits",
"Blocks",
"BLOCK",
"BLOCKS",
"BLOCKHITS",
"Block_Lite",
"bnk",
"Bodyfall",
"BODYSHOTDOWN",
"BODYSHOTUP",
"BodySlam",
"BodyslamReversal",
"BodyslamReversalOpps",
"Body_fall",
"Body_Getup",
"Body_Handle",
"Body_Slide",
"Body_Wrestle",
"BoltCutters",
"Bomb",
"BombInToilet",
"BonusHit",
"BookAttacks",
"BookHarass",
"Books",
"BookScatter",
"BOOOOOO",
"BootKick",
"BOSS_Darby",
"BOSS_Russell",
"Botch",
"BottleRocketFuse",
"BottleRocketTrail",
"BottleRocketTrigger",
"BounceLegsUp_L",
"BounceLegsUp_S",
"BounceSmall",
"Boxing",
"BoxingAttacks",
"BoxingBlocks",
"BoxingCheer",
"BoxingEnding",
"BoxingEnding1",
"BoxingEnding2",
"BoxingEnding3",
"BoxingEnding4",
"BoxingPlayer",
"BoxingSpecialKO",
"BoxingSpeicalKO",
"BoxingStun",
"Boxing_Blocks",
"Box_Punch",
"Bo_01",
"Bo_02",
"Brake",
"Break",
"BreakCyclicAnimation",
"BreakGive",
"BreakNode",
"BreakOff",
"BreakReceive",
"Break_GIVE",
"Break_RCV",
"Breathe",
"Breathe_Wait",
"brick",
"brocket",
"BROCKETLAUNCHER",
"BRSwitch",
"Btl_Rkt_DryFire",
"Btl_Rkt_Load01",
"Btl_Rkt_Load02",
"Btl_Rkt_Trig",
"Bucky",
"Bucky01",
"Bull",
"BullHoof",
"Bullies",
"Bully",
"Bullying",
"Bully_Taunt",
"Bully01",
"Bully02",
"BullyNerdTease",
"BullyTaunt",
"MakeFun",
"BullyTease",
"Tease",
"BullyWall_Smoke",
"BurnStim",
"BurtonIdle",
"BurtonPeeDance",
"BurtonReactions",
"BURTON_DODGE_007",
"BURTON_DODGE_011",
"Busted",
"BustedInvuln",
"BustedStatsBank",
"BustedStim",
"Button Successfully pressed",
"ButtPinch",
"ButtPinchComplete",
"ButtPinchSick",
"ButtPinchSickNode",
"B_Striker_A",
"B_Striker_B",
"C2_ArtClass",
"C31Strt",
"C4",
"C5",
"C6",
"C7",
"C8",
"C9",
"CafeteriaLady",
"Calf",
"Camera",
"CameraActions",
"Cameras",
"CAM_BUS_CLS",
"CanDump",
"candy",
"Cannon",
"CannonInteract",
"carnies",
"Carny",
"CarnyActions",
"CarnyBail",
"CarnyDunk",
"CarnyGame",
"CarnyHouse",
"Cars",
"Casey",
"Casey01",
"Casey02",
"CaseyWait",
"Casey_01",
"Catch",
"CatchBall",
"CatchMiss",
"CatchPaper",
"CatchReact",
"CatchSuccess",
"Catch_Throw",
"CCW",
"Celebrate",
"CelebrateA",
"CelebrateB",
"CelebrateD",
"CelebrateTrophy",
"Chad01",
"Chap5Trans",
"Chapter3Trans",
"Charge",
"Charge_Pt2",
"Cheaters",
"CheckFrontHitCollision",
"check_deselect",
"Cheer",
"Cheer1",
"Cheerage",
"CheerCool06",
"CheerCool08",
"CheerCool2",
"CheerCycle",
"CheerGen08",
"CheerGen09",
"CheerGen3",
"CheerGirl06",
"CheerGirl07",
"CheerGirl11",
"CheerGirl2",
"CheerGirl3",
"Cheering",
"Cheering01",
"Cheering02",
"Cheering03",
"CheeringAINode",
"CheerLdr",
"Cheerleading",
"CheerNerd1",
"CheerNerd3",
"CheerNerd_03",
"CheerNerd_10",
"CheerPosh1",
"CheerPosh_01",
"CheerPosh_04",
"CheerRoutineA",
"CheerRoutineA_00",
"CheerRoutineA_01",
"CheerRoutineA_02",
"CheerRoutineA_03",
"CheerRoutineA_04",
"CheerRoutineA_05",
"CheerUpperBody",
"Cheer_Anims",
"Cheer_Cool",
"Cheer_Cool1",
"Cheer_Cool2",
"Cheer_Cool3",
"Cheer_Cool_11",
"Cheer_Cool_12",
"Cheer_Cool_13",
"Cheer_Cool_14",
"Cheer_Gen",
"Cheer_Gen1",
"Cheer_Gen2",
"Cheer_Gen3",
"Cheer_Girl",
"Cheer_Girl1",
"Cheer_Girl2",
"Cheer_Girl3",
"Cheer_Girl4",
"Cheer_MsPhillips",
"Cheer_MsPhillips01",
"Cheer_Nerd",
"Cheer_Nerd1",
"Cheer_Nerd2",
"Cheer_Nerd3",
"Cheer_Posh",
"Cheer_Posh1",
"Cheer_Posh2",
"Cheer_Posh3",
"Cheer_Static",
"cherryb",
"CherryBomb",
"ChewIn",
"CHEW_START_T",
"ChickenS",
"ChickenWarn",
"ChLeadIdle04",
"ChLeadIdle05",
"CHSHIELDA",
"CHSHIELDB",
"CHShieldC",
"Cigarette",
"CigExhale",
"CigSmoke",
"Cinematic",
"Circle",
"CityHallTag",
"class!",
"Clav",
"CleanedUp",
"CleanMedTag",
"Clear",
"ClearNode",
"Client_3_R05",
"Climb_ON_BOT",
"Close",
"Close5_03",
"CloseBreak",
"Closed",
"ClosedIdle",
"CloseDoor",
"CloseGate",
"CloseToEnd",
"CloseToEndQuick",
"Close_StayClosed",
"Closing",
"Clothing",
"Co2",
"Coach",
"CoachWhistle",
"Coast",
"Coaster",
"coldbreath",
"Collapse",
"CollapseNorth",
"CollapseWest",
"Collapsing",
"Collision",
"CollisionPedFlags",
"Combat",
"CombatActions",
"CombatAggSpeech",
"CombatBasic",
"CombatFearEnd",
"CombatFearSpeech",
"CombatIdle",
"CombatIdleBlock",
"CombatIdleTurn",
"CombatIdle_Out",
"CombatLoco",
"CombatLocoBasic",
"CombatStrafeIdle",
"CombatTaunt",
"CombatTauntSpeech",
"CombatTransition",
"ComeOn",
"ComeToStopInVehicle",
"Comic",
"Comic01",
"ComicOwner",
"condition",
"ConstantinosIdle",
"Controller",
"Controller_Node",
"CONV",
"ConvInitiate",
"Cook1",
"Cook2",
"Cookin",
"Cop_Busted_Pin",
"Cornelius",
"Cornelius01",
"Cornelius02",
"Cornelius03",
"Coughing",
"CoughingMandy",
"Countdown",
"CoverUp",
"CowDance",
"CowDanceA",
"CowDanceB",
"CowDanceC",
"CowDanceD",
"CowDanceFail",
"CowDanceMusic",
"CowDanceMusicStart",
"CowDanceMusicStop",
"CowDanceSuccess",
"Cower",
"CowerBank",
"CowerStart",
"Cower_Block",
"Cower_Child",
"CowerCycle",
"CowerReact",
"DontHurtMe",
"BlockHit",
"Scare",
"Cower_Cycle",
"Cower_End",
"Cower_Start",
"CowFail",
"CowFlub",
"CowSucess",
"CO_OP_PUNCH_2",
"Crabble",
"Crabble01",
"CrawlCycle",
"Crawl_Cam",
"Crawl_Release",
"Crazy_Basic",
"CreateAuthFight",
"cricket",
"Criminal",
"Cross",
"Crouch",
"CrouchActionOppsBase",
"CrouchAim",
"CrouchHide",
"CrouchIdle",
"CrouchLocoAnims",
"CrouchLocoBasic",
"CrouchLocoRun",
"CrouchLocoTarget",
"CrouchRelease",
"CrouchReload",
"Crouch_Out_Target",
"Crouch_Tired",
"Crying",
"CryLoop",
"CRYSPEECH",
"CtrlBx",
"Cuddle",
"CustomActionOps",
"CustomAnim",
"CustomHitTree",
"CustomIdle",
"CustomIdleC",
"CustomIdleLoop",
"CustomIdleO",
"CustomIdleS",
"CustomIdleX",
"CustomLoco",
"CustomPedTree",
"CutPlan",
"CutScene",
"CV_Female_A",
"CV_Male_A",
"CV_OLD",
"CW",
"Cycle",
"CycleClear",
"CyclicIdle",
"Damage",
"Damaged",
"Dance",
"Dance1",
"Dance2",
"DanceA",
"DanceB",
"DanceD",
"Darby01",
"Darby02",
"DarbyAI",
"DARBYIDLE",
"Dash",
"DateActions",
"DavisBrag",
"DavisKickLadder",
"DavisShoulder",
"DavisWait",
"DavisWaitTired",
"DB_ALG_IDLE",
"Dead",
"DeadCollisionOff",
"DeadHold",
"DeadRat",
"Death",
"Decal_WallCrack",
"dec_plate",
"DeEquipWeapon",
"Default",
"DefaultClosing",
"DefaultOpening",
"DefaultReset",
"Default_KEY",
"Default_KEYLocomotion",
"Defence",
"Defense",
"Defensive",
"DejectedB",
"DejectedD",
"DeleteBear",
"Deselect",
"Destroy",
"Destroyed",
"Detaching",
"DetermineSpeed",
"DevilFork",
"Dialog",
"DiceRolled",
"Die",
"Difficulty",
"DirectionalPush",
"Disappoint",
"DisEngage",
"Dislike",
"Disgusted",
"Dismiss",
"Dismount",
"Dismount_No_PlayOnTarget",
"Disturb",
"DisturbSnow",
"Dive_Splash",
"DoAnim",
"DoCrying",
"DoCryingSpeech",
"DoDamage",
"Dodge",
"DODGES",
"DODGE",
"dodgeball",
"DodgeballGame",
"Dog",
"DogBodyFall",
"DogChew",
"DogEatLoop",
"DogGrowl",
"DogHurt",
"DOGIRL_ZOE",
"DOG_DOBERMAN",
"DOG_PITBULL",
"DOG_PITBULL2",
"DOG_PITBULL3",
"dolead_edgar",
"dolead_russell",
"DontHurt",
"DontMess",
"Dooit",
"Door",
"DoorFunctions",
"DoorOnGround",
"Doors",
"DoorsDirect",
"Door_Open",
"DOPush",
"DormTV",
"DoubleAxeHandle",
"DOUT_IDLE_B_01",
"DOUT_IDLE_E_01",
"DOUT_IDLE_G_01",
"DOUT_IDLE_I_01",
"Down",
"DownOnGround",
"Down_End",
"DO_Edgar",
"DO_Grappler_A",
"DO_Striker_A",
"DrawMedTag",
"DrawVandalTag",
"DRBrace",
"DrbyVault",
"Dribble",
"Drink",
"Drip",
"Drop",
"DropDirect",
"Dropouts",
"Dropouts01",
"Dropouts02",
"Dropouts03",
"Dropouts04",
"DropWeapon",
"Drop_Anim",
"Drunk",
"Drunk3Actions",
"Drunk3Break",
"Drunk4Actions",
"Drunk4Break",
"Drunk4Detach",
"Drunk4DetachNode",
"Drunk_1_Child",
"Duck",
"DUCK",
"DuckCharge",
"DuckChargeHit",
"DuffBag",
"DUMMY",
"DunkBench",
"DunkTank",
"DunkTankMidget",
"Dunk_Swim",
"DuvetInteract",
"EarGrab",
"Early",
"EarnA",
"EarnC",
"Earnest",
"Earnest01",
"Earnest02",
"Earnest03",
"EarnestCry",
"EarnestSpeech",
"Earnest_01",
"Easy",
"Edgar",
"Edgar02",
"EdgarBlank",
"EdgarCocky",
"EdgarShield",
"EdnaShrug",
"eggproj",
"EggSplat",
"Egg_Smash",
"Elbow",
"EmergencyAnim",
"Emergency_Static_Anim",
"Empty",
"EmptyNode",
"End",
"EndCower",
"EndDropHammer",
"endHide",
"EndingNIS",
"EndingSequences",
"EndRunning",
"endTalking",
"endTease",
"endTeased",
"EndWorkout",
"Entry1",
"Entry2",
"Entry3",
"ErrandCrab",
"Errand_BUS",
"Errand_BUS_Detective",
"Errand_BUS_Drugs",
"Errand_BUS_Jacket",
"Errand_BUS_PhotoCash",
"Errand_IND",
"Errand_IND_Package",
"Errand_IND_PACKGET",
"Errand_IND_PackMon",
"Errand_RIC",
"Errand_RIC_Crab",
"Errand_RIC_LostBear",
"Errand_RIC_Mailman",
"Errand_SCH",
"Errand_SCH_ADMIRE1",
"Errand_SCH_ADMIRE2",
"Errand_SCH_Tutorial",
"Errand_SCH_Tutorial2",
"Escape",
"EscapeParametric",
"EscapeStruggle",
"Evade",
"EvadeBackUp",
"Back_Up",
"EVADE",
"EVADES",
"Evade_Back",
"Evade_Counter",
"EvadeAttacks",
"FastEvade",
"EvadeBack",
"FastHop",
"FastHopback",
"EvadeHop",
"EvadeAttack",
"Pullback",
"SpeedHop",
"EvadeBackPunch",
"EvadeBank",
"Evade_Bank",
"EvadeSuccess",
"EvadeDefense",
"EvadeDefence",
"EvadeHop",
"HopEvade",
"BackHop",
"Back_Hop",
"Evade_Hop",
"EvadeHops",
"BackHops",
"BackEvade",
"DodgeAttack",
"Dodge_Attack",
"DodgeAttacks",
"DuckAttack",
"EvadeDuckAttack",
"Box_Block",
"Duck_Attack",
"DodgeBack",
"StepBack",
"EvadeStepBack",
"BackAway",
"Hop",
"DodgeEvade",
"EvadeDodge",
"EvadeCounter",
"EvadeDuck",
"EvadeDuckPunch",
"EvadeLeft",
"EvadeLeftPunch",
"EvadeRight",
"EvadeRightPunch",
"Evades",
"Evade_Duck",
"Exec",
"ExecNodes",
"Execute",
"ExecuteBank",
"ExecuteNodes",
"Executes",
"exiting",
"Explosion",
"ExtWind",
"FacePunch",
"FaceTarget",
"FaceTargetAutoThrow",
"FaceTargetSpawn",
"facial",
"FacingIntended",
"FactionLeaderNIS",
"Fade",
"FadeIn",
"FAIL",
"FailAnim",
"FailNoCondition",
"Failure",
"FAIL_PLAYER",
"Fairy",
"FakeTry",
"Fall",
"Falldown",
"FallDownGetUp",
"falldust",
"falldust02",
"Falling",
"FallOff",
"FallOffBarrels",
"Fall_No_Damage",
"FalsedMasterOpp",
"FastBackStep",
"Fast_Run",
"FattyAvoid",
"FAT_LOOKPANIC_B_01",
"FAT_LOOKSIDES_A_01",
"FAT_PICKNOSE_A_01",
"FAT_SMELLARMPIT_A_01",
"FeedbackSpawn",
"FeetSlide",
"Female",
"FemaleFight",
"FemaleTalk",
"FemFite",
"Ferris",
"FF120",
"Fight_Tutorial",
"FindTagSpot",
"Finished",
"FinishedNormal",
"FinishedReleaseProp",
"FinishedShower",
"FinishedWidescreen",
"FinishingCross",
"FINISH_GUT",
"Fire",
"FireActions",
"fireexting",
"FireExtingSocket",
"FireMan",
"FireSequence",
"FireSpudGun",
"fire_inv",
"FistShakeEnd",
"flag",
"FlagsAndLua",
"FlashLight",
"Flee",
"FleeObjective",
"FleeReaction",
"Flower",
"FlowerBund",
"FlowerGive",
"FMTrapDr",
"FollowAllyorGirlSpeechPreload",
"Football",
"ForcedDesiredWeapon",
"ForceFeedback",
"Forearm",
"Forwards",
"Forwards_Accurate",
"FOUNDTARGET",
"Fountain",
"FrAlrm",
"freakout",
"Freaks",
"Free",
"FRIENDLYHIT",
"FrisbeeThrow",
"Frisk",
"from",
"Front",
"FRONTKNOCKDOWNHARD",
"FuckYOU",
"FuckYOUSpecialBoost",
"FullBodyActionOpps",
"FunBook",
"Functions",
"FunCurtn",
"FunMiner",
"FunReapr",
"FUUUUUUUCKKKKKKKKKK",
"F_AlgieHitWhine",
"F_AreLockersAvailable",
"F_CheckForOutfit",
"F_CowDance",
"F_FirstAttack",
"F_Freakout",
"F_GrapplePunches",
"F_HasRoomForMoreTrash",
"F_Nerds",
"F_PlantNotDestroyed",
"F_PlayerSleptInBed",
"F_RusselCalm",
"F_WakeupInStreet",
"F_Walk",
"Gag",
"GagFemale",
"GagSound",
"Galloway",
"Galloway01",
"Game_THROW",
"GarageOpens",
"Garbagecan",
"GarbInteract",
"Gary",
"Gary1",
"Gary92",
"Gary93",
"Gary97",
"GaryAI",
"GaryCrazy",
"GaryIdleInBed",
"GaryIntro",
"GaryLightBag",
"GaryNIS",
"GaryPoint",
"GaryPointAnim",
"GaryShove",
"GarySpecialGrapple",
"GasolinePour",
"GatClr",
"Gate",
"GateExplodes",
"GateNerd",
"Gates",
"GateStanding",
"Gawk",
"GeneralObjectives",
"Generic",
"GenericBathroomMirror",
"GenericIdle",
"GenericWallSmoking",
"GenericWrestler",
"GenReactions",
"GenStandTalking",
"GEN_THROW",
"GetBooks",
"GetBrocketLauncher",
"GetDiary",
"GetInAndUseCrane",
"GetItem",
"GetMoney",
"GetOff",
"GetOnCannon",
"GetOut",
"GetOutBed",
"GetUp",
"GetUpBelly",
"GetUpChoice",
"GetUpEasy",
"GetUpEasy2",
"GetUpHard",
"GetWeapon",
"Get_Object",
"GFIGHT",
"GiftGive_Speech",
"Gifts",
"GirFriend",
"GirFriendSee",
"GirFriendSeeHH",
"GirlFight_Init",
"GirlFight_Loop",
"GirlFight_Out",
"GirlNotice",
"GirlNutKick",
"GirlsBathroom",
"GirlsOutside",
"GIVE",
"Give1_07",
"Give2G2",
"Give2S04",
"GiveBagmrbls",
"GiveBall",
"GiveBeatrice1_G1",
"GiveBottle",
"GiveChocolateBox",
"GiveChocolates",
"GiveComicOwner",
"GiveEarnest_4_01",
"GiveEdna_2_01",
"GiveFlowers",
"GiveHealth",
"GiveHobo_1_06",
"GiveInitiate",
"GiveItem",
"GiveJohnny3_01",
"GiveLabNotes1_08",
"GiveLola3_05",
"GiveMissPhillips1_S01",
"GiveMoney",
"GivePackage_3_09",
"GivePhotos",
"GivePt2",
"GiveSpawned",
"GiveSuperGlue",
"GiveUp",
"GiveUp_Speech",
"GiveWftbomb",
"GiveZoe_5_05",
"Give_Attempt",
"Give_Attempt_Speech",
"GIVE_B",
"Give_Seek",
"Give_Sequence",
"Give_Wait",
"GKFF",
"Global",
"GlobalActions",
"GlobalLoco",
"Globals",
"GlueBench",
"GN_FatGirl",
"Go",
"GoingDown",
"GoKart",
"GoKartFailure",
"GoKartVictory",
"GoodHit01ccccx",
"GoOff",
"Gord",
"Gord01",
"Grab",
"GrabBear",
"GrabKnees",
"GraffitiCleanup",
"GrapLocoOpps",
"Grapple",
"GrappleAnchor",
"GrappleAttempt",
"GrappleAttempt1",
"GrappleAttempt2",
"GrappleBreak",
"Grappled",
"GrappleExecutes",
"GrappleLoco",
"GrappleMoves",
"GrappleOpps",
"GrappleRcvWait",
"GrappleReversalOpps",
"GrappleReversals",
"GrappleRotate",
"Grapples",
"GrapplesAttempt",
"GrapplesExecuteNodes",
"GrappleStrikes",
"GrappleSuccess",
"GrappleTarget",
"GrappleTeach",
"Grapple_BearHug_Cameras",
"GRAPPLE_BEARHUG_GIVE",
"Grapple_Cameras",
"Grapple_Cams_Low",
"Grapple_Cam_WeaponStruggle",
"GrapThorw",
"GrapThorwLeft",
"GRAP_HIGH",
"GRAP_HIGH_RCV",
"GravityReset",
"Greaser1",
"Greaser2",
"GreaserIdles",
"GreaserKick",
"Greaser_Kick",
"GreaserKick_1",
"GreaserKick_2",
"GreaserNIS",
"Greasers",
"Greasers01",
"Greasers02",
"Greet",
"Greeting",
"GREET",
"Greet_Speech",
"GRES_FISTPALM_A",
"GRES_FIXHAIR_D",
"GRES_IDLE_B",
"GRES_LOOSENUP_A",
"GRH2_NORTON",
"grlead_johnny",
"GROANER",
"GroinKick",
"Groin_Kick",
"Ground",
"GroundActions",
"GroundAndWallHits",
"GroundAttacks",
"GROUNDHITHEAVY",
"GROUNDHITLIGHT",
"GroundKick",
"GroundKickCharged",
"GroundMount",
"GroundPunch",
"GroundStomp1",
"GroundStomp2",
"GroundStomp3",
"GS_Fat_A",
"GS_Female_A",
"GS_Male_A",
"GuardDog",
"GuardDogLoopExit",
"GuardPunchFinish",
"GuardPunchReversal",
"Gun",
"GunHit",
"GurneyCrouchOut",
"GurneyKneel",
"GutKick",
"GutKick_L",
"GutKick_R",
"GutPunch",
"Gut_Punch",
"Guy_Laugh",
"GV",
"GymCut",
"GymHoop",
"GymWLad",
"G_Grappler_A",
"G_Johnny",
"G_Melee_A",
"G_Ranged_A",
"G_Striker_A",
"HammerActions",
"HammerLiftHold",
"HammerSwing",
"HammerSwings",
"Hand",
"HandleDoors",
"HandleRockets",
"HandleSoundCalls",
"Handwash",
"HangOut",
"Hang_Talking",
"Hang_Workout",
"Harassed",
"Harassing",
"HarassMoves",
"HarassShort",
"HarassSpeech",
"HarassSpeechExec",
"Hard",
"Harrassed",
"Hattrick",
"Hattrick01",
"HEAD",
"HeadButt",
"HeadButt_AnticStart",
"HEADCROSS",
"HEADHEAVY",
"HEADHOOK",
"HEADJAB",
"HEADLEFT",
"Headlock",
"HEADRIGHT",
"HEADROLLR",
"HEADSTUN",
"HealthIncrement",
"HealthIncrementB",
"HeavyAttacks",
"HeavyHits",
"HeavyKick",
"HeavyKickLAND",
"HeavyKick2",
"HeavyKick_FF",
"HeavyKnee",
"HeavyLeft",
"HeavyPunch",
"HeavyPunch1",
"HeavyPunch2",
"HeavyPunchCharge",
"HeavyPunch_FF",
"HeavyRight",
"Held",
"HelpOut_Speech",
"Hiding",
"HighKick",
"HighKickRelease",
"HighKickStart",
"HighStriker",
"HIT",
"Hit1",
"Hit2",
"Hit3",
"HitA",
"HitB",
"HitC",
"HitFace",
"HitFireAlarm02",
"HitGutCycle",
"HitHardBack",
"HitHardFront",
"HitHardFrontShort",
"HitImpactLarge",
"HitImpactSmall",
"HitReact",
"HitReactWait",
"HitsLight",
"HitTree",
"HIT_LEG_FRONT_L_FALL",
"HIT_LEG_FRONT_R_FALL",
"HMB_2_R03",
"HoboFly",
"HoboIdleCycle",
"HoboOpenGate",
"Hobo_Blocker",
"Hold",
"HOLDNODE",
"HoldOpen",
"Hold_Cycle",
"Hold_Idle",
"Hook",
"Hook1",
"Hook2",
"Hopback",
"Hork",
"However",
"HUDEnable",
"HumiliateFlee",
"HumiliateSpeech",
"Humiliate_Init",
"Humiliate_Me",
"Humiliate_Trip_Kid",
"HumiliationReact",
"Humiliations",
"Humiliation_Cameras",
"Humiliation_Dead_Arm",
"Humiliation_Dead_leg",
"Humiliation_Ear_Grab",
"Humiliation_Handcrush",
"Humiliation_Hit_Self",
"Humiliation_Indian_Burn",
"Humiliation_Noogie_Spit",
"Humiliation_Nose",
"Humiliation_Pee",
"Humiliation_Slap",
"Humiliation_Trip_Bigkid",
"Humiliation_Wedgie",
"HumiliationAttacks",
"Humiliation_Attack",
"HumiliationAttack",
"Humiliation",
"Humiliate",
"Humiliated",
"HumiliateFlee",
"SweepKick",
"Sweep_Kick",
"Trip",
"TripKick",
"Trip_Kick",
"HumiliateTrip",
"Humiliate_Trip",
"HUMIL_4-10_B",
"HUMIL_4-10_C",
"HUMIL_5-8F_A",
"HUMIL_5-8F_B",
"HUMIL_5-8VPLY",
"HUMIL_5-8_A",
"HUMIL_5-8_B",
"HUMIL_5-8_C",
"HUMIL_6-1_A",
"HUMIL_6-1_B",
"HUMIL_6-1_C",
"HUMIL_6-5_A",
"HUMIL_6-5_B",
"HUMIL_6-5_C",
"HUMIL_FAIL",
"Idle",
"IdleAnimationChooser",
"IdleAnimations",
"IdleDice",
"IdleFight",
"IdleJump",
"IdleLoop",
"IdleOneFrame",
"Idles",
"IdleSpeech",
"Idle_Anim",
"Idle_Base",
"Idle_Overrides",
"Idle_Regular",
"Idle_Remove",
"Idle_Social",
"If_Large",
"ImpactSFX",
"in",
"Inactive",
"InCan",
"IncrementBustedStat",
"IncrementEscapeStat",
"IncrementStatKick",
"IncrementStatPunches",
"Init",
"InitCollisionOn",
"Initialize",
"InitRockets",
"InsertOpportunity",
"Interact",
"InteractWithToilet",
"Interruptable",
"IntoAim",
"IntoPose",
"IntroNIS",
"Invincible",
"invisible",
"IsPlayer",
"ItchingPowder",
"iz",
"JAB",
"JackieKick",
"JackieKickLAND",
"JBroom",
"Jimmy",
"Jimmy01",
"Jimmy02",
"Jimmy03",
"JimmyBye",
"JimmyGetGift",
"JimmyKnock",
"JimmyLine1",
"JimmyTag",
"JimmyTalk02",
"JimmyThatStupid",
"JimmyWaits",
"Jimmy_01",
"Jimmy_02",
"Jimmy_Pool",
"JKICK",
"JK_LuisWrestle",
"Jock",
"JockIdle",
"JockMed",
"Jocks",
"JocksOutro",
"JOCK_HAMSTRINGS_A",
"JOCK_IDLE_E",
"JOCK_SMELLPITS_A",
"JOCK_STRETCH_B",
"Johnny",
"Johnny01",
"Johnny02",
"Johnny03",
"Johnny1",
"Johnny2",
"JohnnyCheer",
"JohnnyIdle",
"JohnnyShove",
"Johnny_01",
"Johnny_02",
"jointDrivers",
"Jump",
"JumpActions",
"JUST_RightArm",
"J_Damon",
"J_Grappler_A",
"J_Mascot",
"J_Melee_A",
"J_Striker_A",
"KD_DROP_Default",
"Keepups",
"KEEP_NODE_ALIVE",
"KeyPickup",
"Kick",
"KickBallSpawn",
"KickHeavy",
"kickme",
"KickMeHit",
"KickMeReactions",
"KickMeSign",
"KickRib",
"KickScript",
"KickSwing",
"KickTaunt",
"KickThrust",
"Kick_1_landed",
"Kick_2_landed",
"KidAnimations",
"KirbyCough",
"KirbyFall",
"KirbyGetsBall",
"KirbyInit",
"Kiss",
"KISS1",
"Kiss2",
"Kiss2Loop_GIVE",
"Kiss2Loop_RCV",
"Kiss2_Loop",
"KISS3",
"Kiss4",
"Kiss4Loop_GIVE",
"Kiss4Loop_RCV",
"Kiss4_Loop",
"KISSAdult",
"KISSB",
"KissB2A",
"KissB2B",
"KissB3A",
"KissB3B",
"KissBreak",
"KissDrop",
"KissEnd_GIVE",
"KissEnd_RCV",
"Kisses",
"KISSF",
"KissFinal",
"KissGrap",
"KissMeAdult",
"KissyKissy",
"Kiss_Cameras",
"Kiss_Cameras_Fat",
"Kiss_Cameras_Random",
"Kiss_GIV",
"Kiss_GIVE",
"Kiss_Me_Baby",
"Kiss_RCV",
"Knee",
"Knee2",
"KneeDrop",
"KneeDropReversal",
"Kneel",
"KneelFeed",
"KneelIdle",
"KneelIn",
"KneeToBodyLStart",
"Knock",
"KNOCKDOWN",
"KnockedOut",
"Knockout",
"KnockoutDead",
"KnockoutHit",
"KnockoutRecover",
"KnockOuts",
"KOReactions",
"KOSpeechBank",
"KOSpeechExec",
"KO_COLLAPSE",
"Ladder",
"Ladder_Actions",
"Ladder_Actions_PED",
"Late",
"Laugh",
"Laugh01",
"Laugh02",
"LaughCyclic",
"Laughing",
"LaughingSpeechPreload",
"Laugh_Default",
"Laugh_Shove",
"LeadPipe",
"LEFT",
"Left1",
"Left2",
"Left3",
"Left5",
"LeftArm",
"LeftCollar",
"LeftDown",
"LeftFoot",
"LeftHand",
"LeftHook",
"LeftJab",
"LeftJabBody",
"LeftJabHead",
"LeftPunch",
"LegIn",
"LegKick",
"LegKickReleaseMax",
"LegKickStart",
"LegSwing",
"LegSwingFinisher",
"LEG_FRONT_L_FALL",
"Leg_Swing",
"Leon",
"Less",
"Level",
"LE_Orderly_A",
"Librarian",
"Librarian_01",
"Librarian_02",
"Librarian_03",
"lid",
"Lid_Blocks",
"LightAttacks",
"LightBomb",
"LightFountain",
"LightHits",
"ListenAnims",
"Listening",
"Load",
"LoadAnims",
"LoadBrocket",
"Loaded",
"LoadSpawn",
"LoadWait",
"Locked",
"Locked1_08",
"Locker",
"LockerStuff",
"Lock_Picking",
"Lock_Picking_Loop",
"Lock_Picking_Loop_To_Idle",
"Loco",
"Locomotion",
"LocomotionExecutes",
"LocomotionOverride",
"LocomotionSpawn",
"Locomotion_Move",
"LocoOverride2H",
"LocoTracks",
"Lola",
"Lola01",
"Long",
"LongChoose",
"Look",
"LookAround",
"LookLayer_1",
"LookLayer_2",
"LookRight",
"Look_B",
"LOOP",
"LoopPicking",
"LostGame",
"LowerBody",
"lua",
"Lucky",
"LuckyWait",
"LuisIntro",
"Magnetized",
"main",
"MakeOut",
"MAKING_OUT",
"Mandy",
"Mandy01",
"MandyFreak",
"MandyStand",
"MandyTalk",
"MandyTalk02",
"MandyTalk03",
"MandyWait",
"marble",
"Marbles",
"Mascot",
"Mascot01",
"MascotActions",
"MascotDance",
"MascotDancing",
"MascotPool",
"MassagingLeg",
"MasterSpawns",
"MazeLookAround",
"MBP_2_R03",
"Medium",
"Medum",
"MeetRussell",
"Melee",
"Melvin",
"Melvin01",
"MelvinCheers",
"Mermaid",
"MermaidIdle",
"MGBaseballToss",
"MGMusic",
"MGSocPen",
"MG_BallToss",
"MG_DunkTank",
"Midgets",
"MINIDUNK",
"Minigame",
"MINI_LOCK",
"MirrorActions",
"MirrorIdle",
"mission",
"Mission505",
"MissionCower",
"MissionLookAround",
"Missions",
"MissionSpec",
"MISSION_2",
"Mock",
"Mock1",
"Models",
"MonitorOnce",
"monkeywrench",
"MonLoopStop",
"Morning??",
"MoshOut",
"MotionController",
"Mount",
"MountFLIP",
"MountHitBase",
"MountIdle",
"MountOpps",
"MountRCVFlags",
"MountReversalPunches",
"MountReversals",
"MountReversalToPunch",
"Mounts",
"Mouth",
"MouthCig",
"Ms_Phillips",
"Ms_Phillips01",
"Ms_Phillips02",
"Ms_Phillips03",
"MusicPlayerActions",
"MuzzleFlash",
"M_2_R03_01",
"M_2_R03_02",
"M_2_R03_03",
"NC_Loco",
"ndh1a_algernon",
"Neck",
"NeedInit",
"NegativeReaction",
"Nemesis",
"nemesis_gary",
"NerdBooks",
"NerdBooksB",
"NerdbooksC",
"NerdBooksD",
"NerdbooksE",
"NerdBooks_Hold",
"NerdCheer",
"NerdHook",
"NerdMed",
"Nerds",
"Nerds01",
"Nerds02",
"Nerds03",
"NERDS_IDLE_D",
"NERDS_RUBHEAD_A",
"NERDS_SCRATCHARSE_A",
"NerdTeased",
"New",
"NewFall",
"NewKid",
"NewKidBreak",
"NewLocoAnims",
"newsroll",
"NewSweater",
"NIS",
"NISend",
"NISJocksTaunt",
"NISLOLA",
"NISPINKY",
"NISs",
"NIS_1_08_1",
"NIS_3_S03_GiveCas",
"NIS_3_S03_GiveHat",
"NIS_3_S03_GiveVan",
"NIS_Animations",
"NIS_Anims",
"NIS_SUCCESS",
"NLockA",
"NoAnimation",
"NoAuthorityInView",
"Node:",
"NoEffect",
"non",
"NonCombatActions",
"NonCombatStrafe",
"NONE",
"NonMasher",
"NonWeapon",
"Normal",
"Norton",
"Norton01",
"NortonAI",
"NortonSwing",
"NoseWipe",
"NotMoving",
"NotSpectator",
"NotTired",
"NotUseable",
"NotUsed",
"NPC",
"NPC1_09",
"NPCFacial",
"NPCGetItem",
"NPCGetup",
"NPC_Adult",
"NPC_GENERIC",
"NPC_Love",
"NPC_MASCOT",
"NPC_Shopping",
"NPC_Spectator",
"NPC_WAIT",
"NPC_Winning",
"NULL",
"N_Earnest",
"N_Melee_A",
"N_Ranged_A",
"N_Striker_A",
"N_Striker_B",
"ObjCompleted",
"ObjectiveOptions",
"Objectives",
"OBJECTS_3",
"OBSDoor",
"ObserverLoops",
"Obstruction_Check",
"Off",
"Offense",
"OhFace",
"On",
"OnBike",
"OneShot",
"OneShotDialog",
"OnGround",
"OnGroundBounce",
"ON_BOT",
"On_Ground",
"Open",
"OpenCut",
"OpenDoor",
"OpenFoyeurDoor",
"OpenGate",
"OpenHold",
"Opening",
"OpenSecondFloorDoor",
"OpenToEnd",
"OpenToEndQuick",
"OpenTSGate",
"OpponentDefeated",
"Opps",
"OrderlyGrapple",
"OrderlyPatrol",
"OrderlyPatrol_Child",
"Orderly_Busted",
"OutOfCarFail",
"OUTRO",
"OverHand",
"OverHandR",
"PaintedMan",
"Parametric",
"ParametricDoor",
"ParametricRun",
"ParametricTagging",
"PatrolDialogue",
"PatrolMonitor",
"PayRussell",
"Peanut",
"PedDrawMedTag",
"PedPropActions",
"PedPropsActions",
"Peds",
"PedUnderHood",
"Pee",
"PeeDance",
"PeeSelf",
"PeeStart",
"PeeStop",
"Pelvis",
"PerformCleanup",
"PerformTag",
"Pete94",
"Pete96",
"PeteCan",
"Peter",
"Peter01",
"PeterFistShake",
"PeterHit",
"PeteSit",
"PeteyUseCrane",
"PF_Basic_A",
"Phillips",
"Phillips01",
"PICKING",
"PickKiss",
"Picklock",
"Pickup",
"PickupAct",
"PickUpActions",
"PickupCandyAct",
"PickupCandyEat",
"PickupDefault",
"PickupDice",
"PickupPropHack",
"PickupStats",
"PickupTorch",
"PickupWeapon",
"PinchBum",
"Pinky",
"Pinky01",
"Pinky02",
"Pinky03",
"Pinky04",
"PinkyWand",
"PissSelf",
"PlaceFountain",
"PlaceIt",
"Planting",
"PlantStinkbomb",
"Platform",
"PLAY",
"PlayAnim",
"PlayAnimationCyclic",
"PlayDamageSound",
"Player",
"Player01",
"Player02",
"Player03",
"PlayerAI",
"PlayerAlgie",
"PlayerBadFailure",
"PlayerBucky",
"PlayerCornelius",
"PlayerCornelius02",
"PlayerEnd",
"PlayerFacial",
"PlayerFail",
"PlayerFallOffBike",
"PlayerGetUp",
"PlayerGoodVictory",
"PlayerIdle",
"PlayerLookAround",
"PlayerMelvin",
"PlayerOnGround",
"PlayerOutro",
"PlayerPickupSlingshot",
"PlayerReactions",
"PlayerScratch",
"PlayerSit",
"PlayerStand",
"PlayerStretch",
"PlayerTaunt",
"PlayerVictory",
"PlayerVictory01",
"PlayerVictory03",
"PlayerWet",
"PlayerWin",
"Player_01",
"Player_02",
"PLAYER_BULLIES",
"Player_Tired",
"Player_VTired",
"Player_Winning",
"PlayOnTarget",
"PlayOpenAnim",
"PlayShow",
"PlaySocialAnimation",
"PlaySocialInitialReaction",
"Point",
"PointAtPlayer",
"PointAtRussel",
"PointAtSwitch",
"PointWarn",
"POIPoint",
"poison",
"PoisonAnims",
"PoisonGas",
"PoisonSpray",
"POI_Booktease",
"POI_Cafeteria",
"POI_ChLead",
"POI_Gen",
"POI_Smoking",
"POI_Telloff",
"POI_WarmHands",
"POI_Worker",
"polo",
"pompom",
"PomShake",
"poolcue",
"POpenSide",
"POpenUp",
"PositiveReaction",
"PostHit",
"potato",
"PotatoSmokeTrail",
"Powerbomb",
"PowerDown",
"PowPunchA",
"PowPunchB",
"PracticeCharge",
"Pranks",
"Prefect",
"PrefectBustDialogue",
"PrefectChew",
"PrefectEdwardWarn",
"Prefect_Busted",
"PreFireWait",
"PreloadSpeech",
"PrepHouse",
"PREPHOUSE_PLANTAREA",
"PrepIdle",
"PrepMed",
"Preppies",
"Preppies01",
"Preppies02",
"Preppies03",
"Preps",
"PREP_IDLE",
"PREP_PREP_IDLE_A",
"PREP_TIME_CHECK_2",
"PREP_WIPE_SLEEVES_B",
"PreSpeech",
"Primary",
"PrincipalDialogue",
"PriOff",
"ProjAttack",
"Projectile",
"PropClosed",
"PropInteract",
"PropInteractLoco",
"PropOpened",
"PropStuffTarget",
"Prop_Kik",
"PSheild",
"Puke",
"PukeExec",
"PukeOnDemand",
"Pull_In_heavy",
"Pull_Up",
"Punch",
"Punch1",
"Punch2",
"Punch3",
"punchbag",
"PunchbagAI",
"PunchBagBS",
"PunchHands",
"PunchHeavy01",
"PunchHeavy02",
"PunchLite01",
"PunchLite02",
"PunchSpawn",
"Punch_Hold_Idle",
"Punch_Swing",
"PunishmentHit",
"Punishment_Hold",
"Push",
"Pushback",
"PushFwd",
"Pushoff",
"PushPlayer",
"Pushups",
"PutAway",
"PutOutCigEnd",
"pVase_proj",
"Pwr_Punch_Rels",
"pxCshld",
"pxSitStl",
"Px_Bed",
"Px_Garb",
"Px_Ladr",
"Px_Sink",
"Px_Tlet",
"Px_Tree",
"P_Bif",
"P_Grappler_A",
"P_Striker_A",
"P_Striker_B",
"P_Walk",
"QuickIdle",
"Quick_Release_Cam_Bank",
"Race",
"RaceVictory",
"RainBreak",
"Random",
"RandomLockState",
"Ranged",
"RangedWeaponActions",
"RatKick",
"RatPacking",
"RAT_PED",
"RBandBall",
"Rcv",
"RcvWait",
"Rcv_NPC",
"RCV_PT2",
"Rcv_Sequence",
"Rcv_Wait",
"ReactionAnims",
"ReactionLoops",
"Reactions",
"Reaction",
"Reactions_Shared",
"REAC_BRING_IT",
"REAC_COMEON",
"Rear",
"Rebuff",
"Receive",
"ReceiveIdle",
"ReceiveWait",
"Receive_Speech",
"RecruitRussell",
"RefCounting",
"Release",
"ReleaseAnimGroup",
"ReleaseGroup",
"ReleaseGroup_Child",
"ReleaseProp",
"Release_Cam",
"Release_Cam_Bank",
"RELEASING",
"Reload",
"RemoveAllWeapons",
"RemoveBall",
"RemoveRocketsInCase",
"RemoveWeapons",
"RemoveWeapons_LH",
"Repunch1",
"Repunch2",
"Repunch3",
"Rescue",
"Reset",
"resetTad",
"reset_flags",
"Restart",
"Results",
"Resume",
"Retard_Loco",
"ReturnToAim",
"Reversal",
"ReversalOpps",
"Reversals",
"RibKick",
"Ride",
"RideMe",
"Right",
"Right2",
"Right4",
"RightArm",
"RightArmDamage",
"RightCross",
"RightDom",
"RightFoot",
"RightHand",
"RightHook",
"RightPunch",
"RightStomach",
"RisingAttacks",
"RisingAttck",
"Robbed",
"Robbednode",
"Rochambeau",
"RochambeauNIS",
"Roll",
"RollDice",
"Rolled",
"RooftopAttacker",
"Root",
"RoundHouseKick_L",
"RSGrDoor",
"Rumble",
"RumbleNorth",
"RumbleWest",
"Rummage",
"RummageInDuffel",
"Run",
"RUNATTACKH",
"RUNATTACKL",
"RunBasic",
"RunController",
"RunInside",
"RunLocoAnims",
"RunningAttacks",
"RunningAttacksDirect",
"RunningTakedown",
"RunPunch",
"RunPunchBackToRun",
"RunPunchFF",
"RunShoulder",
"RunShoulderBackToRun",
"RunShoulderFF",
"RunStart",
"RunStop",
"RunStrafeMode",
"RunTired",
"Run_StartLoco",
"Run_Stop",
"Run_To_Idle",
"RusellFallOffBike",
"RuslSwing",
"RusselAI",
"Russell",
"Russell01",
"Russell02",
"Russell03",
"RussellAlley",
"RussellHide",
"RussellLoco",
"Russell_NIS",
"RUSS_ROAR",
"SACKED",
"SackedOut",
"SANTA_END",
"SANTA_START",
"SAUTH_A",
"SAUTH_F",
"SAUTH_U",
"SaveAlgieBooks",
"SaySomething",
"sbarels1",
"SBULL_A",
"SBULL_F",
"SBULL_S",
"SBULL_U",
"Scared",
"SCBELL",
"Scenario",
"ScenarioAccepted",
"ScenarioDialog",
"ScenarioGive",
"ScenarioObjective",
"ScenarioOpen",
"ScenarioOptions",
"ScenarioReceive",
"Scenarios",
"ScenarioSeek",
"ScenarioWait",
"ScenGreetBoyAnim",
"SchoolGatesNIS",
"scObsDr",
"Scream",
"ScriptCall1",
"ScriptCalls",
"Scripted",
"ScriptedAI",
"ScriptedProj",
"ScriptedProjtrack",
"ScriptedPropInteract",
"ScrKick",
"Scuff",
"SecIdle",
"SecretaryGetUp",
"SecStart",
"SeeAttacker",
"SeeBreak",
"Seek",
"SeekEntity",
"Select",
"SelectActions",
"Sequences",
"set",
"SetHealth",
"SetPlayerInvuln",
"SetTagDone",
"SetTargetInvuln",
"Setting",
"SetupPoster",
"SFAT_A",
"SFAT_F",
"SFAT_I",
"SFAT_S",
"SFX",
"SFXSpawn",
"SGEN_A",
"SGEN_F",
"SGEN_I",
"SGEN_S",
"SGIRL_A",
"SGIRL_D",
"SGIRL_F",
"SGIRL_S",
"ShakeFist",
"Shields",
"ShieldWeapons",
"ShitStomp",
"ShootActions",
"Short",
"ShortDarby",
"ShortIdle",
"Shots",
"Shots_Idle",
"Shoulder",
"ShoulderButt",
"ShoulderButt_Release",
"ShoulderButt_Start",
"ShoulderSlam",
"ShoulderBarrage",
"Shoulders",
"Shoulder_Barrage",
"ShoulderBarge",
"Shoulder_Barge",
"Shove",
"Shove2HandExecute",
"Shove_Punch",
"Shove_Still",
"Showering",
"ShutOff",
"SiameseTwinsLoad",
"SignDetach",
"SimpleIdle",
"SimpleLoco",
"Single",
"Sit",
"SitHigh",
"SitLoop",
"SitOnWall",
"SittingGirls",
"Sitting_Boys",
"Sitting_Down",
"Sit_End",
"Sit_End2",
"Sit_GirlEnd",
"Sit_GirlIdle",
"Sit_GirlTalk",
"Sit_Idle",
"Sit_Smoke_Idle",
"Sit_Smoke_Start",
"Sit_Start",
"Sit_StartGirl",
"Sit_Talk",
"Sk8board",
"SK8_Examine",
"SkateBoard",
"Skeleton",
"SkeletonInit",
"Slap",
"BitchSlap",
"HeavySlap",
"SloppyCross",
"Slasher",
"sledgehammer",
"SledgeHamrHit",
"Sleep",
"SlideDust",
"SlingShot",
"SLNGSHT_PULL",
"SloppyAttacks",
"SmashInnaFace",
"SmashInnaFaceStink",
"SmellSelf",
"Smell_Pits",
"smoking",
"SNERD_A",
"SNERD_I",
"SNERD_S",
"SnoBallPicUp",
"SNOBALL_FACEHIT",
"snowball",
"SnowShovel",
"SnowShwl",
"snwballb",
"SocBall",
"Social",
"SocialAcceptApology",
"SocialAngryShove",
"SocialAnims",
"SocialApology",
"SocialBringItOn",
"SocialChitChat",
"SocialDismissShrug",
"SocialExecute",
"SocialExtort",
"SocialFlee",
"SocialFleeSpeechPreload",
"SocialFollow",
"SocialGreeting",
"SocialHumiliateAttack",
"SocialInitialReaction",
"SocialInstigatorFaceForGreet",
"SocialInstigatorGreet",
"SocialInstigatorMoveToGreet",
"SocialInstigatorPreloadComplete",
"SocialInstigatorWait",
"SocialInsult1",
"SocialInsult",
"SmoothTalk",
"Wave",
"WaveHand",
"Wave_Hand",
"StopHand",
"ReactCower",
"BringItOn",
"BringIt",
"Bring",
"Bring_It",
"Tattle",
"SeekTattle",
"Tattle_Start",
"SocialInsult1SpeechPreload",
"Insult",
"Insult1",
"Insults",
"InsultLevel1",
"InsultLevel3",
"Socializing",
"SocialLaugh",
"SocialLostTemper",
"SocialLostTemperSpeechPreload",
"SocialOpps",
"SocialPraise",
"Praise",
"SocialReactAngry",
"SocialReactCower",
"SocialReactDontHurt",
"SocialStopHand",
"SocialTargetFaceForReact",
"SocialTargetMoveToReact",
"SocialTargetPreloadComplete",
"SocialTargetReaction",
"SocialTargetWait",
"SocialTattle",
"SocialWantGift",
"GiveGift",
"Want",
"Gift",
"WantGift",
"SocialWave",
"Social_Actions",
"Social_Combat",
"Social_Speech",
"socket",
"SocketChange",
"SodaMach",
"soking",
"Somezink",
"Sounds",
"Special",
"SpecialActions",
"SpecialFire",
"SpecialPuke",
"Specials",
"SpecialStart",
"Special_Init",
"SpecificObjectives",
"SpecLike",
"SpecSpeech",
"SpecSpeechHate",
"SpecSpeechLike",
"SpectatorAnims",
"SpectatorHateWait",
"SpectatorLikeWait",
"SpectatorSpawn",
"SpectatorWait",
"Speech",
"SpeechGen",
"SpeechPreload",
"SpeechPreloadNone",
"Speech_Preload",
"Spine",
"SPINE1",
"Spine2",
"SPINECONTROLHACK",
"Spit",
"SpitHand",
"Spit_Wrestle",
"SplitBody",
"Sprawl",
"Spray",
"SprayAttackRun",
"Spraycan",
"SprayFrontRun",
"SprayFrontRun2",
"SprayFrontRun_Release",
"SprayGun",
"Spray_A",
"Spray_Big_1",
"Sprint",
"SprintBasic",
"SprintController",
"SprintDeplete",
"SprintDepleteExec",
"SprintLocoAnims",
"SpudG",
"SpudGunDryfire",
"SpudGun_Fire",
"SpudGun_Reload",
"Square",
"Squid",
"SSWhip",
"StanceTransition",
"Stand",
"StandBackUp",
"StandIdle",
"Standing",
"StandingReversals",
"StandingSmoke",
"Star",
"Start",
"StartAnimations",
"sTARTIdle",
"startOpen",
"StartRun",
"StartUsing",
"StatsExecutes",
"Stay",
"Steal",
"StealCostumeCut",
"StealthDoor",
"StealthWalk",
"Steal_Easy",
"SteamReaction",
"StepAwayEnd",
"StepBackMoshOut",
"StimBank",
"Stimuli",
"StinkBomb",
"Stinky",
"STINK_REACT",
"Stink_Trap",
"STNKBMB_SMASH",
"StompIn",
"StompRCVCycle",
"Stop",
"StopBathroom",
"StopCheering",
"StrafeBase",
"StrafeBasic",
"StrafeBasicLocoOpp",
"StrafeIdle",
"StrafeLocoBasic",
"StrafeLocoBasicAnims",
"StrafeLoco_Opps",
"StraightenCollar",
"StraightPunch",
"Strike",
"StrikeOut",
"StrikeReversalOpps",
"Strikes",
"Strong",
"Struggle Detected",
"struggle",
"StruggleFeedback",
"StruggleOn",
"StrugglesOff",
"StubItOut",
"StuffGrap",
"StuffPooBag",
"StunControl",
"Stuners",
"Success!!",
"Success",
"SuccessHi1",
"SuccessHi2",
"SuccessHi3",
"SuccessMed1",
"SuccessMonitor",
"supermarble",
"supersling",
"superspud",
"SuperSpudG",
"SuperUppercut",
"SurprisedM1A",
"SurprisedM2A",
"SweepFloors",
"SwimAnims",
"SwimRipples",
"SwimRipplesStrong",
"Swim_Fwd",
"Swim_Slow",
"Swing",
"Swing2",
"Swing3",
"SwingLeftExec",
"SwingPunch",
"SwingPunch_L",
"SwingPunch_R",
"SwingRightExec",
"Swirlie",
"SwirlTargSpeech",
"Switch",
"Switcheroo",
"Switcheroo2",
"Swng",
"Sxy_Impatient",
"S_Walk",
"TadCloseShutters",
"TadRebuff",
"TadReject",
"TadShutters",
"tag1",
"Tagged",
"Tags",
"TagSmall",
"TagSuccess",
"Take",
"Takedown",
"Takedown_miss",
"Talk",
"TalkAnims",
"Talking",
"TalkingLoops",
"TandemGrapple",
"TandemGrapple_ACTIVE",
"TANDEMHIT",
"Target",
"TargetAnimations",
"TargetBreathe",
"TargetGesture",
"TargetOrientation",
"TargetPoint",
"TargetReactions",
"TargetType",
"TARGET_ABORT",
"TattooShop",
"Taunt",
"Taunt01",
"Taunt04",
"Taunt1",
"Taunt2",
"Taunt3",
"TauntLoop",
"TauntOnce",
"TauntPlayer",
"Taunts",
"TauntStats",
"Taunt_A",
"Taunt_B",
"Taunt_C",
"Taunt_Lose",
"Taunt_Shove",
"Taunt_Speech_HIGH_ENG",
"Teacher",
"TeacherChew",
"TeacherFinishClass",
"TeacherSpeaking",
"Ted01",
"teddybear",
"Tell_Off",
"Test",
"TestConv_2Ped",
"TE_Female_A",
"TE_Male_A",
"TE_Sitting",
"ThankYou",
"THE",
"THIS_IS_A_HACK",
"Threaten",
"ThroatGrab",
"ThroatGrab_Rcv",
"Throw",
"ThrowActions",
"ThrowBombs",
"ThrowFinish",
"ThrowFrisbee",
"Thrown",
"ThrownActions",
"ThrowStart",
"ThrustKick",
"Tired",
"TiredActions",
"TiredLoop",
"Tired_UBO",
"Tired_Upperbody",
"Tired_UpperBody_Spawn",
"TO",
"Tobias01",
"ToGetUp",
"Toilet",
"ToolBox",
"Tools",
"Torch",
"TorsoFront1",
"TorsoFront2",
"Toss",
"TossBrush",
"TossStinkbomb",
"TO_DOCKWORKER",
"TO_GN_WORKMAN",
"TO_INDUSTRIAL",
"TO_MILLWORKER",
"TO_Orderly",
"to_orderly2",
"TO_Siamese",
"TrainingPlayer",
"Tray_Hold",
"Tray_Scatter",
"TreadWater",
"tree",
"TreeClimb",
"TreeFall",
"TreeIdle",
"Trellis",
"Trellis_Actions",
"TrentGreet",
"Triangle",
"Triggered",
"TRIPHARASS",
"Trophy",
"TroyAttacks",
"TrueEmptyNode",
"TryClothesAnims",
"TRYING",
"TryingOn",
"TryOpen",
"Try_Clothes",
"TSGate",
"TurfBreak",
"Turn",
"Turning_HeadTrack",
"TurnOnSpot",
"TurnToFace",
"Turn_End",
"TutorialTags",
"twobyfour",
"UBO_Arms_Hd_Sp",
"UBO_Checks",
"UBO_Execute",
"UBO_Hd_Sp",
"UBO_LArm_Hd_Sp",
"UBO_RARM_HD_SP",
"umbrella",
"Umpire",
"unarmed",
"Unblockable",
"Unblockable2",
"Unique",
"Unlock",
"Unlocked",
"Unlocks",
"Unoccupied",
"UP",
"UpperBody",
"UpperBodyOverrides",
"UpperBody_ALL",
"UpperCut",
"UpperCutFF",
"UpperLeg",
"Use",
"Useable",
"UseMonitor",
"UseOverride",
"Override",
"UseSoccerGoal2",
"UseSoccerGoal3Old",
"UseSoccerGoalEnd",
"UseSoccerGoalStart",
"UseSpudCannon",
"Vance",
"Vance01",
"Vance02",
"VanceWait",
"VandalTag",
"Vehicles",
"VFlyTrap",
"Victim",
"Victim2",
"VictimLoop",
"Victory",
"Victory_Taunt",
"Vomit",
"Vomit2",
"Vomit3",
"VomitStun",
"VTiredActions",
"Wait",
"WaitForAnims",
"WaitForInput",
"WaitForObjective",
"WaitForPlayer",
"WaitForPlayerMoving",
"WaitForVictim",
"WaitInside",
"WakeUp",
"WakeUpBank",
"WakeUp_Anywhere",
"WAKEUP_PUBLIC1",
"Wake_Up_Cam",
"Wake_Up_Cam_2",
"Walk",
"WalkBasic",
"WalkStop",
"WalkTOWall",
"Walk_Speeds",
"Walk_StartLoco",
"WallClimb",
"WallHits",
"WallSmash",
"Wall_Break",
"Wall_End",
"WALL_HIT",
"Wall_Hold",
"Wall_Idle",
"Wall_Lean",
"Wall_Smoke",
"Wall_Smoke_A",
"Wall_Smoke_B",
"Wall_Smoke_Idle",
"Wall_Smoke_Idle_Child",
"Wall_Smoke_Start",
"Wall_Smoke_Stub",
"Wall_Start",
"WantsToSmoke",
"WarmingHandsLoop",
"WarmthFactor",
"Wash01",
"WashHands",
"WaterCausticsParent",
"WaterFaucet",
"WaterPipe",
"Wave",
"WaveAtSecretary",
"WaveAtSecretary_Child",
"WaveToSec",
"WBALLOON",
"WBrush",
"WBWet",
"WB_Splash",
"WCamera",
"WDigCam",
"WDish",
"Weak",
"WeakPed",
"WEAPON",
"WeaponActions",
"WeaponAttach",
"WeaponCrouch",
"WeaponDetach",
"WeaponDrop",
"WeaponFire",
"WeaponIdle",
"WeaponInit",
"WeaponLoco",
"WeaponRemoval",
"WeaponRun",
"Weapons",
"WeaponSelect",
"WeaponSocial",
"WeaponSteal",
"WeaponStrafe",
"WeaponWalk",
"WedgieAttack",
"WedgieAttackComplete",
"WedgiePull",
"WedgieReceive",
"WeedKillerSpray2",
"Welcome",
"WFireExt",
"Wfrisbee",
"Wftball",
"WFtBomb",
"WhatsUp_Speech",
"WHatSVase",
"WHatVase",
"WheelBarrowInteract",
"Whistle",
"Windmill_L",
"Windmill_R",
"WinRaceNIS",
"with",
"WonderNIS",
"WonGame",
"Work",
"Workout",
"Workout_Child",
"Worth",
"WPCANNON",
"WProps",
"WrestlingACT",
"WrestlingNPC",
"wrong!",
"Wtennis",
"WTRAY",
"wtrpipe",
"wtrpipeB",
"wtrpipeC",
"wtrpipeD",
"w_bunchofphotos",
"W_Candy",
"w_chocbox",
"w_crab",
"W_Crutch",
"W_DeadRat",
"W_Dirt",
"W_DrugBttl",
"W_Flashlight",
"W_Fountain",
"W_Itch",
"W_MONEY",
"w_package",
"W_PGun",
"W_PRANK",
"W_ScHouse",
"W_Snowball",
"yardstick",
"Yay",
"Yrdstk_Break",
"Zoe",
"Zoe01",
"Zoe02",
"Zoe03",
"ZoeDistract",
"ZoeDistractWait",
"ZoeFailure",
"ZoeIdle",
"Zoe_01",
"Zoe_02",
"Zoe_03",
"Counter",
"Counter_Evade",
"CounterEvade",
"EvadeCounterAttack",
"CounterEvades",
"EvadeCounters",
"Counter_Attack",
"Evade_Counters",
"CounterAttack",
"CounterAttacks",
"Counters",
"COUNTER",
"COUNTERS",
"Charge_CounterAttack",
"EvadeInterrupt",
"OpportunityInsert",
"HangoutTalk",
"Social_Idle",
"Talking1",
"Talking2",
"Talking4",
"Talking3",
"StopHangout",
"ExitHang",
"ReactionOpps",
"Social_System",
"AIActionOpps",
"CheerBank",
"NPC_Cheer_A",
"ReleaseCheer",
"NPC_Cheering",
"Hang",
"NPC_Talking",
"TargetanimTalk",
"Hang_Talk",
"NERDFLAIL",
"NerdFlail",
"Flail",
"FLAIL",
"evade",
"evades",
"Fall_Flail",
"Flails",
"FLAILS",
"Evading",
"Evaded"
  }

  acts = {
"Act/Globals.act",
"Act/Globals/Cameras.act",
"Act/Globals/CutScene.act",
"Act/Globals/GlobalActions.act",
"Act/Globals/NPCFacial.act",
"Act/Globals/PlayerFacial.act",
"Act/Globals/SimpleLoco.act",
"Act/AI/AI.act",
"Act/AI/AI_Dog.act",
"Act/AI/AI_Rat.act",
"Act/Anim/AN_DOG.act",
"Act/Anim/AN_RAT.act",
"Act/Anim/Authority.act",
"Act/Anim/B_Striker_A.act",
"Act/Anim/CV_Female_A.act",
"Act/Anim/CV_Male_A.act",
"Act/Anim/CV_OLD.act",
"Act/Anim/DO_Grappler_A.act",
"Act/Anim/DO_Striker_A.act",
"Act/Anim/GS_Fat_A.act",
"Act/Anim/GS_Female_A.act",
"Act/Anim/GS_Male_A.act",
"Act/Anim/G_Grappler_A.act",
"Act/Anim/G_Johnny.act",
"Act/Anim/G_Melee_A.act",
"Act/Anim/G_Striker_A.act",
"Act/Anim/J_Grappler_A.act",
"Act/Anim/J_Mascot.act",
"Act/Anim/J_Melee_A.act",
"Act/Anim/J_Striker_A.act",
"Act/Anim/LE_Orderly_A.act",
"Act/Anim/N_Ranged_A.act",
"Act/Anim/N_Striker_A.act",
"Act/Anim/N_Striker_B.act",
"Act/Anim/P_Grappler_A.act",
"Act/Anim/P_Striker_A.act",
"Act/Anim/P_Striker_B.act",
"Act/Anim/TE_Female_A.act",
"Act/CameraActions.act",
"Act/HitTree.act",
"Act/Missions.act",
"Act/Player.act",
"Act/PlayerAI.act",
"Act/Vehicles.act",
"Act/WProps.act",
"Act/Weapons.act",
"Act/Weapons/BBGun.act",
"Act/Weapons/Basketball.act",
"Act/Weapons/Bat.act",
"Act/Weapons/Books.act",
"Act/Weapons/EdgarShield.act",
"Act/Weapons/FlashLight.act",
"Act/Weapons/Gun.act",
"Act/Weapons/JBroom.act",
"Act/Weapons/KickMeSign.act",
"Act/Weapons/NonWeapon.act",
"Act/Weapons/Shields.act",
"Act/Weapons/Slasher.act",
"Act/Weapons/SledgeHammer.act",
"Act/Weapons/SlingShot.act",
"Act/Weapons/SnowShovel.act",
"Act/Weapons/Spraycan.act",
"Act/Weapons/Thrown.act",
"Act/Weapons/Umbrella.act",
"Act/Weapons/WCamera.act",
"Act/Weapons/WFireExt.act",
"Act/Weapons/WaterPipe.act"
}
end

function F_ToggleShowNode()
  while true do
    if IsButtonBeingPressed(0,0) then
      showNode = not showNode
      if showNode then
        TextPrintString("Node-O-Matic 3000 has been ACTIVATED.",2,2)
      else
        TextPrintString("Node-O-Matic 3000 has been DEACTIVATED.",2,2)
      end
    end
    Wait(0)
  end
end